Commit 763087c6 authored by Cool Fire's avatar Cool Fire

Add build packages to alpine so gems can be installed

parent a2592770
Pipeline #1085 failed with stages
in 2 minutes and 42 seconds
......@@ -32,6 +32,7 @@ lint_ruby:
stage: linting
image: ruby:2.4-alpine
script:
- apk add --update alpine-sdk
- gem install rubocop --no-ri --no-rdoc
- rubocop -l -f s
lint_yaml:
......@@ -44,6 +45,7 @@ rack_test_2-4:
stage: testing
image: ruby:2.4-alpine
script:
- apk add --update alpine-sdk
- bundle install
- touch .current
- ruby deployment/create_config.rb > config.yaml
......@@ -52,6 +54,7 @@ rack_test_2-3:
stage: testing
image: ruby:2.3-alpine
script:
- apk add --update alpine-sdk
- bundle install
- touch .current
- ruby deployment/create_config.rb > config.yaml
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment